@ECHO OFF
SET SDIR=R:\Project\Source
SET WORKDIR=R:\Project
SET CAPDIR=R:\Project\Misc

SET CUTDIR=R:\TranscodedFiles
SET VDIR=R:\Virtualdub
SET TRANSCODED=R:\TranscodedMPG
SET BESWEET="R:\Besweet"

SET VDUB="%VDIR%\vdub.exe"
SET DG="%WORKDIR%\DGIndex.exe"
SET LM="%WORKDIR%\Lame.exe"
SET WV="%WORKDIR%\Wavemp3.exe"
SET COMSKIP="%WORKDIR%\comskip.exe"
SET DC="%WORKDIR%\delaycut.exe"
SET BS="%BESWEET%\BeSweet.exe"
SET AVIWAV="%WORKDIR%\AVI2WAVCMD.exe"

SET AVISYNTH1=LoadPlugin("%WORKDIR%\DGDecode.dll")
SET AVISYNTH2=LoadPlugin("%WORKDIR%\SimpleResize.dll")
SET AVISYNTH3=LoadPlugin("%WORKDIR%\Leakkerneldeint.dll")
SET AVISYNTH4=LoadPlugin("%WORKDIR%\MSharpen.dll")


ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO BEGIN TRANSCODE PROCESS
ECHO --------------------------------------------------------
ECHO.

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO COPYING %1 TO %2
ECHO --------------------------------------------------------
ECHO.

move %1 %2

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CLEARING VDUB JOBLIST
ECHO --------------------------------------------------------
ECHO.

%VDUB% /c

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING COMSKIP
ECHO --------------------------------------------------------
ECHO.

%COMSKIP% %2

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING DGINDEX
ECHO --------------------------------------------------------
ECHO.

%DG% -IA=2 -FO=0  -OM=2 -AIF=[%2] -OF=[%~dpn2] -exit

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING DELAYCUT LOOP
ECHO --------------------------------------------------------
ECHO.

FOR %%G IN (%CAPDIR%\*ms.mpa) DO %DC%  -auto -out %CAPDIR%\cutaudio.mpa "%%G"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING BESWEET
ECHO --------------------------------------------------------
ECHO.

"%BS%" -core( -input "%CAPDIR%\cutaudio.mpa" -output "%CAPDIR%\%~n2.wav" -2ch -logfilea "%BESWEET%\BeSweet.log"  ) -profile( ~~~~~ Default Profile ~~~~~ )

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO DELETING *.MPA FILES
ECHO --------------------------------------------------------
ECHO.

DEL %CAPDIR%\*.mpa


ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CHANGING WORKING DRIVE AND DIRECTORY TO CAPDIR
ECHO --------------------------------------------------------
ECHO.

%CAPDIR:~0,2%
CD %CAPDIR%

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING PLUGINS TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.
 
ECHO %AVISYNTH1% >>"%CAPDIR%\%~n2.avs"
ECHO %AVISYNTH2% >>"%CAPDIR%\%~n2.avs"
ECHO %AVISYNTH3% >>"%CAPDIR%\%~n2.avs"
ECHO %AVISYNTH4% >>"%CAPDIR%\%~n2.avs"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO DETERMINING IF CONTENT IS WIDESCREEN FORMAT
ECHO --------------------------------------------------------
ECHO.

findstr /c:"%wide%" %CAPDIR%\%~n2.log >%CAPDIR%\%~n2ar.txt

SET /P _Wide2=<%CAPDIR%\%~n2ar.txt
ECHO "%wide%" "%_wide2%"

IF "%wide%" EQU "%_wide2%" (GOTO wide)  ELSE (GOTO standard)

:standard

ECHO.
ECHO 4:3 SCREEN CONTENT
ECHO.

IF %4 EQU M (GOTO :M)  ELSE (GOTO :E)

:E

ECHO.
ECHO %4 Means expand 4:3 to 16:9
ECHO %3 pass
ECHO.

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING VIDEO LOAD AND FILTERS TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.

ECHO Video=MPEG2Source("%CAPDIR%\%~n2.d2v").LeakKernelDeint(1,10,false,false,false,false,false,0).lanczos4resize(688,508).crop(0,14,0,-14).addborders(16,0,16,0).panorama(3).MSharpen(20,130) >>"%CAPDIR%\%~n2.avs"

GOTO resume

:M

ECHO.
ECHO %4 Means maintain 4:3
ECHO %3 pass
ECHO.

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING VIDEO LOAD AND FILTERS STATEMENT TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.

ECHO Video=MPEG2Source("%CAPDIR%\%~n2.d2v").Crop(6, 6, -6, -6).LeakKernelDeint(1,10,false,false,false,false,false,0).LanczosResize(624,464).MSharpen(20,130) >>"%CAPDIR%\%~n2.avs"

GOTO resume

:wide

ECHO.
ECHO WIDESCREEN CONTENT
ECHO.

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING VIDEO LOAD AND FILTERS STATEMENT TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.

SET _Wide2=standard
ECHO Video=MPEG2Source("%CAPDIR%\%~n2.d2v").Crop(6, 60, -6, -60).LeakKernelDeint(1,10,false,false,false,false,false,0).Lanczos4Resize(624,352).MSharpen(20,130) >>"%CAPDIR%\%~n2.avs"

:resume
ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING AUDIO LOAD AND DUB STATEMENT TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.

ECHO audio = WAVSource("%CAPDIR%\%~n2.wav").normalize() >>"%CAPDIR%\%~n2.avs"
ECHO AudioDub(video, audio) >>"%CAPDIR%\%~n2.avs"

REM Define Panorama function
ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING PANORAMA FUNCTION TO AVISYNTH SCRIPT
ECHO --------------------------------------------------------
ECHO.

ECHO function Panorama(clip clp, int "strength") >>"%CAPDIR%\%~n2.avs"
ECHO { >>"%CAPDIR%\%~n2.avs"
ECHO #  >>"%CAPDIR%\%~n2.avs"
ECHO # function for converting 4:3 full frame clips to simulated 16:9 >>"%CAPDIR%\%~n2.avs"
ECHO # source vid should be 720x480 or 720x576 and have display AR of 4:3 >>"%CAPDIR%\%~n2.avs"
ECHO # script by Moth3r - originaltrilogy.com >>"%CAPDIR%\%~n2.avs"
ECHO #  >>"%CAPDIR%\%~n2.avs"
ECHO ht=clp.height >>"%CAPDIR%\%~n2.avs"
ECHO #  >>"%CAPDIR%\%~n2.avs"
ECHO a=(strength==1)?clp.lanczos4resize(256,ht,0,0,-660,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(284,ht,0,0,-660,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(308,ht,0,0,-660,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(332,ht,0,0,-660,0) >>"%CAPDIR%\%~n2.avs"
ECHO b=(strength==1)?clp.lanczos4resize(248,ht,60,0,-600,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(260,ht,60,0,-600,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(272,ht,60,0,-600,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(284,ht,60,0,-600,0) >>"%CAPDIR%\%~n2.avs"
ECHO c=clp.lanczos4resize(240,ht,120,0,-540,0) >>"%CAPDIR%\%~n2.avs"
ECHO d=(strength==1)?clp.lanczos4resize(236,ht,180,0,-480,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(228,ht,180,0,-480,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(220,ht,180,0,-480,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(212,ht,180,0,-480,0) >>"%CAPDIR%\%~n2.avs"
ECHO e=(strength==1)?clp.lanczos4resize(232,ht,240,0,-420,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(216,ht,240,0,-420,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(204,ht,240,0,-420,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(192,ht,240,0,-420,0) >>"%CAPDIR%\%~n2.avs"
ECHO f=(strength==1)?clp.lanczos4resize(456,ht,300,0,-300,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(424,ht,300,0,-300,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(392,ht,300,0,-300,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(360,ht,300,0,-300,0) >>"%CAPDIR%\%~n2.avs"
ECHO g=(strength==1)?clp.lanczos4resize(232,ht,420,0,-240,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(216,ht,420,0,-240,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(204,ht,420,0,-240,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(192,ht,420,0,-240,0) >>"%CAPDIR%\%~n2.avs"
ECHO h=(strength==1)?clp.lanczos4resize(236,ht,480,0,-180,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(228,ht,480,0,-180,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(220,ht,480,0,-180,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(212,ht,480,0,-180,0) >>"%CAPDIR%\%~n2.avs"
ECHO i=clp.lanczos4resize(240,ht,540,0,-120,0) >>"%CAPDIR%\%~n2.avs"
ECHO j=(strength==1)?clp.lanczos4resize(248,ht,600,0,-60,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(260,ht,600,0,-60,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(272,ht,600,0,-60,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(284,ht,600,0,-60,0) >>"%CAPDIR%\%~n2.avs"
ECHO k=(strength==1)?clp.lanczos4resize(256,ht,660,0,0,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==2)?clp.lanczos4resize(284,ht,660,0,0,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO (strength==3)?clp.lanczos4resize(308,ht,660,0,0,0): \ >>"%CAPDIR%\%~n2.avs"
ECHO clp.lanczos4resize(332,ht,660,0,0,0) >>"%CAPDIR%\%~n2.avs"
ECHO # >>"%CAPDIR%\%~n2.avs"
ECHO clp=StackHorizontal(a, b, c, d, e, f, g, h, i, j, k).crop(112,0,-112,0) >>"%CAPDIR%\%~n2.avs"
ECHO # >>"%CAPDIR%\%~n2.avs"
ECHO return clp.lanczos4resize(608,352) >>"%CAPDIR%\%~n2.avs"
ECHO } >>"%CAPDIR%\%~n2.avs"

REM Create AVS files
REM Add AVISynth commands to avs file created above.  Add more lines if required
REM Replace these example VirtualDub script commands here with your commands.  Add more variables if required.

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ADDING AUDIO AND VIDEO SETTINGS TO initial.txt FILE
ECHO --------------------------------------------------------
ECHO.

ECHO VirtualDub.Open (u"%CAPDIR%\%~n2.avs"); > "%CAPDIR%\initial.txt"
TYPE "%CAPDIR%\%~n2.vcf" >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetSource(1); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetMode(0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetInterleave(1,500,1,0,0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetClipMode(1,1); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetConversion(0,0,0,0,0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetVolume(); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.SetCompression(); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.audio.EnableFilterGraph(0);>> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetInputFormat(0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetOutputFormat(7); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetMode(1); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetFrameRate(0,1); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetIVTC(0,0,-1,0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetRange(0,0); >> "%CAPDIR%\initial.txt"
ECHO VirtualDub.video.SetCompression(0x64697678,0,10000,0); >> "%CAPDIR%\initial.txt"

IF %3 EQU 2 (GOTO :two)  ELSE (GOTO :one)

:two
ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CREATING VIRTUALDUB TWO-PASS JOB
ECHO --------------------------------------------------------
ECHO.

ECHO // > "%VDIR%\VirtualDub.jobs"
ECHO // $numjobs 2; >> "%VDIR%\VirtualDub.jobs"
ECHO // >> "%VDIR%\VirtualDub.jobs"
ECHO // $job "Job 1" >> "%VDIR%\VirtualDub.jobs"
ECHO // $input "%CAPDIR%\%~n2.avs" >> "%VDIR%\VirtualDub.jobs"
ECHO // $output "%CAPDIR%\%~n2.avi" >> "%VDIR%\VirtualDub.jobs"
ECHO // $state 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $start_time 0 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $end_time 0 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $script >> "%VDIR%\VirtualDub.jobs"
TYPE "%CAPDIR%\initial.txt" >> "%VDIR%\VirtualDub.jobs"
TYPE "%WORKDIR%\pass1.vcf" >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.video.filters.Clear(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.audio.filters.Clear(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.project.ClearTextInfo(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.SaveAVI (u"%CAPDIR%\%~n2.avi"); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.audio.SetSource(1); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.Close(); >> "%VDIR%\VirtualDub.jobs"
ECHO // $endjob  >> "%VDIR%\VirtualDub.jobs"
ECHO // >> "%VDIR%\VirtualDub.jobs" 
ECHO // $job "Job 2" >> "%VDIR%\VirtualDub.jobs"
ECHO // $input "%CAPDIR%\%~n2.avs" >> "%VDIR%\VirtualDub.jobs"
ECHO // $output "%CAPDIR%\%~n2.avi" >> "%VDIR%\VirtualDub.jobs"
ECHO // $state 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $start_time 0 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $end_time 0 0 >> "%VDIR%\VirtualDub.jobs"
ECHO // $script >> "%VDIR%\VirtualDub.jobs"
TYPE "%CAPDIR%\initial.txt" >> "%VDIR%\VirtualDub.jobs"
TYPE "%WORKDIR%\pass2.vcf" >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.video.filters.Clear(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.audio.filters.Clear(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.project.ClearTextInfo(); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.SaveAVI (u"%CAPDIR%\%~n2.avi"); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.audio.SetSource(1); >> "%VDIR%\VirtualDub.jobs"
ECHO VirtualDub.Close(); >> "%VDIR%\VirtualDub.jobs"
ECHO // $endjob >> "%VDIR%\VirtualDub.jobs"
ECHO // >> "%VDIR%\VirtualDub.jobs"
ECHO //-------------------------------------------------- >> "%VDIR%\VirtualDub.jobs"
ECHO // $done >> "%VDIR%\VirtualDub.jobs"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING VIRTUALDUB TWO-PASS JOB
ECHO --------------------------------------------------------
ECHO.

%VDUB% /r

GOTO :audio

:one
ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CREATING VIRTUALDUB ONE-PASS JOB
ECHO --------------------------------------------------------
ECHO.

TYPE "%CAPDIR%\initial.txt" > "%CAPDIR%\%~n2new.vcf"
TYPE "%WORKDIR%\1pass.vcf" >> "%CAPDIR%\%~n2new.vcf"
ECHO VirtualDub.video.filters.Clear(); >> "%CAPDIR%\%~n2new.vcf"
ECHO VirtualDub.audio.filters.Clear(); >> "%CAPDIR%\%~n2new.vcf"
ECHO VirtualDub.SaveAVI (u"%CAPDIR%\%~n2.avi"); >> ""%CAPDIR%\%~n2new.vcf"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXECUTING VIRTUALDUB ONE-PASS JOB
ECHO --------------------------------------------------------
ECHO.

FOR %%G IN (%CAPDIR%\*.avs) DO  %VDUB% /s "%CAPDIR%\%%~nGnew.vcf" 


:audio
ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO DELETING .WAV and .MP3 FILES
ECHO --------------------------------------------------------
ECHO.

DEL %CAPDIR%\*.wav
DEL %CAPDIR%\*.mp3 

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO EXTRACTING .WAV FROM .AVI FILE WITH VIRTUALDUB
ECHO --------------------------------------------------------
ECHO.

@%VDUB% /i %WORKDIR%\extractwav.vcf %CAPDIR%\%~n2.avi %CAPDIR%\%~n2.wav

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ENCODING .WAV to .MP3 WITH LAME
ECHO --------------------------------------------------------
ECHO.

%LM% --preset cbr 192 "%CAPDIR%\%~n2.wav" "%CAPDIR%\%~n2.mp3"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO ENCODING MP3 INTO MP3 WITH .WAV EXTENSION WITH WAVEMP3
ECHO --------------------------------------------------------
ECHO.

%WV% -q "%CAPDIR%\%~n2.mp3"

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CREATING VIRTUALDUB JOB FOR MERGING WAV INTO AVI
ECHO --------------------------------------------------------
ECHO.

ECHO VirtualDub.Open (u"%CAPDIR%\%~n2.avi"); > "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetSource (u"%CAPDIR%\%~n2.wav"); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetMode(0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetInterleave(1,500,1,0,0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetClipMode(1,1); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetConversion(0,0,0,0,0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetVolume(); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.SetCompression(); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.EnableFilterGraph(0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetInputFormat(0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetOutputFormat(7); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetMode(0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetFrameRate(0,1); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetIVTC(0,0,-1,0); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.SetCompression(); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.video.filters.Clear(); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.audio.filters.Clear(); >> "%CAPDIR%\%~n2Audio.vcf"
ECHO VirtualDub.SaveAVI (u"%CUTDIR%\%~n2.avi"); >> "%CAPDIR%\%~n2Audio.vcf"

REM  Merge compressed audio with AVI

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO MERGING WAV AUDIO INTO AVI
ECHO --------------------------------------------------------
ECHO.

%VDUB% /s "%CAPDIR%\%~n2Audio.vcf" 

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO MOVING %2 TO %TRANSCODED%
ECHO --------------------------------------------------------
ECHO.

move %2 %TRANSCODED%

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO CLEANING UP MISC FOLDER...COMPLETED
ECHO --------------------------------------------------------
ECHO.

DEL %CAPDIR%\*.avi
DEL %CAPDIR%\*.vcf
DEL %CAPDIR%\*.wav
DEL %CAPDIR%\*.mp3
DEL %CAPDIR%\*.mpa
DEL %CAPDIR%\*.d2v
DEL %CAPDIR%\*.avs
DEL %CAPDIR%\*.txt

ECHO.
ECHO --------------------------------------------------------
ECHO %DATE% AT %TIME%
ECHO END TRANSCODE PROCESS
ECHO --------------------------------------------------------
ECHO.

:End